X2Go Bug report logs - #344
X2Go Client does not query ssh-agent for SSH proxy authentication

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Fri, 22 Nov 2013 23:03:02 UTC

Severity: normal

Found in version 4.0.1.1

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.507 (Entity 5.507)
X-Loop: owner@bugs.x2go.org
From: owner@bugs.x2go.org (X2Go Bug Tracking System)
Subject: Bug#344 closed by Mihai Moldovan <ionic@ionic.de> (Re: [X2Go-Dev]
 X2Go Client does not query ssh-agent for SSH proxy authentication)
Message-ID: <handler.344.b344.151061526218449.notifdone@bugs.x2go.org>
References: <5a513e05-ab2c-fb55-49f2-440753e5757a@ionic.de>
X-X2go-PR-Message: they-closed 344
X-X2go-PR-Package: x2goclient
X-X2go-PR-Source: x2goclient
Date: Mon, 13 Nov 2017 23:25:03 +0000
Content-Type: multipart/mixed; boundary="----------=_1510615503-19795-0"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your Bug report
which was filed against the x2goclient package:

#344: X2Go Client does not query ssh-agent for SSH proxy authentication

It has been closed by Mihai Moldovan <ionic@ionic.de>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Mihai Moldovan <ionic@ionic.de> by
replying to this email.


-- 
344: http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=344
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems
[Message part 2 (message/rfc822, inline)]
From: Mihai Moldovan <ionic@ionic.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 344@bugs.x2go.org
Subject: Re: [X2Go-Dev] X2Go Client does not query ssh-agent for SSH proxy authentication
Date: Tue, 14 Nov 2017 00:20:40 +0100
[Message part 3 (text/plain, inline)]
Control: close -1

On 02/28/2017 05:41 PM, Mihai Moldovan wrote:
> On 22.11.2013 11:51 PM, Mike Gabriel wrote:
>> By some reason, SSH proxy authentications utilizing passphrase-locked  
>> SSH keys let pop up the passphrase dialog.
>>
>> Session profiles that do not use the SSH proxy settings can happily  
>> authenticate via ssh-agent, also for locked keys.
> 
> Is this still the case?
> 
> My tests on Linux and OS X suggest that the ssh-agent is queried correctly even

Closing, since I cannot reproduce the issue and the reporter didn't answer.



Mihai

[signature.asc (application/pgp-signature, attachment)]
[Message part 5 (message/rfc822, inline)]
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: X2Go Client does not query ssh-agent for SSH proxy authentication
Date: Fri, 22 Nov 2013 22:51:20 +0000
[Message part 6 (text/plain, inline)]
Package: x2goclient
Version: 4.0.1.1

By some reason, SSH proxy authentications utilizing passphrase-locked  
SSH keys let pop up the passphrase dialog.

Session profiles that do not use the SSH proxy settings can happily  
authenticate via ssh-agent, also for locked keys.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 7 (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Feb 26 15:52:23 2021; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.